<VirtualHost *:{% if USE_SSL == 'yes' %}443{% else %}80{% endif %}>
ServerAdmin  support@ch.cam.ac.uk

{% if EXTERNAL_NAME is defined -%}
ServerName {{ EXTERNAL_NAME }}
ServerAlias {{ INTERNAL_NAME }}
{%- else -%}
ServerName {{ INTERNAL_NAME }}
{%- endif %}

DocumentRoot /var/www/drupal/{{ SITENAME }}/web

<Directory /var/www/drupal/{{ SITENAME }}/web>
Options Indexes FollowSymLinks
AllowOverride All
</Directory>

{% if USE_SSL == 'yes' %}
SSLCertificateFile /etc/letsencrypt/live/{{ INTERNAL_NAME }}/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/{{ INTERNAL_NAME }}/privkey.pem
{% endif %}

ErrorLog ${APACHE_LOG_DIR}/{{ SERVERSHORTNAME }}/error.log

# Possible values include: debug, info, notice, warn, error, crit,
# alert, emerg.
LogLevel warn

CustomLog ${APACHE_LOG_DIR}/{{ SERVERSHORTNAME }}/access.log combined
</VirtualHost>

